krb5-devel-1.15.1-34.el7.x86_64.rpm


Advertisement

Description

krb5-devel - Development files needed to compile Kerberos 5 programs

Property Value
Distribution CentOS 7
Repository CentOS x86_64
Package name krb5-devel
Package version 1.15.1
Package release 34.el7
Package architecture x86_64
Package type rpm
Installed size 778.19 KB
Download size 271.04 KB
Official Mirror mirror.centos.org
Kerberos is a network authentication system. The krb5-devel package
contains the header files and libraries needed for compiling Kerberos
5 programs. If you want to develop Kerberos-aware programs, you need
to install this package.

Alternatives

Package Version Architecture Repository
krb5-devel-1.15.1-37.el7_6.i686.rpm 1.15.1 i686 CentOS Updates
krb5-devel-1.15.1-37.el7_6.x86_64.rpm 1.15.1 x86_64 CentOS Updates
krb5-devel-1.15.1-34.el7.i686.rpm 1.15.1 i686 CentOS
krb5-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
keyutils-libs devel
krb5-libs(x86-64) = 1.15.1-34.el7
libc.so.6(GLIBC_2.15)(64bit) -
libcom_err devel
libcom_err.so.2()(64bit) -
libcrypto.so.10()(64bit) -
libdl.so.2()(64bit) -
libgssapi_krb5.so.2()(64bit) -
libgssapi_krb5.so.2(gssapi_krb5_2_MIT)(64bit) -
libgssrpc.so.4()(64bit) -
libk5crypto.so.3()(64bit) -
libkadm5(x86-64) = 1.15.1-34.el7
libkdb5.so.8()(64bit) -
libkeyutils.so.1()(64bit) -
libkrad.so.0()(64bit) -
libkrb5.so.3()(64bit) -
libkrb5.so.3(krb5_3_MIT)(64bit) -
libkrb5support.so.0()(64bit) -
libresolv.so.2()(64bit) -
libselinux devel
libselinux.so.1()(64bit) -
libverto devel
rtld(GNU_HASH) -

Provides

Name Value
krb5-devel = 1.15.1-34.el7
krb5-devel(x86-64) = 1.15.1-34.el7
pkgconfig(gssrpc) = 1.15.1
pkgconfig(kadm-client) = 1.15.1
pkgconfig(kadm-server) = 1.15.1
pkgconfig(kdb) = 1.15.1
pkgconfig(krb5) = 1.15.1
pkgconfig(krb5-gssapi) = 1.15.1
pkgconfig(mit-krb5) = 1.15.1
pkgconfig(mit-krb5-gssapi) = 1.15.1

Download

Type URL
Binary Package krb5-devel-1.15.1-34.el7.x86_64.rpm
Source Package krb5-1.15.1-34.el7.src.rpm

Install Howto

Install krb5-devel rpm package:

# yum install krb5-devel

Files

Path
/usr/bin/gss-client
/usr/bin/krb5-config
/usr/bin/sim_client
/usr/bin/uuclient
/usr/include/gssapi.h
/usr/include/kdb.h
/usr/include/krad.h
/usr/include/krb5.h
/usr/include/profile.h
/usr/include/gssapi/gssapi.h
/usr/include/gssapi/gssapi_ext.h
/usr/include/gssapi/gssapi_generic.h
/usr/include/gssapi/gssapi_krb5.h
/usr/include/gssapi/mechglue.h
/usr/include/gssrpc/auth.h
/usr/include/gssrpc/auth_gss.h
/usr/include/gssrpc/auth_gssapi.h
/usr/include/gssrpc/auth_unix.h
/usr/include/gssrpc/clnt.h
/usr/include/gssrpc/netdb.h
/usr/include/gssrpc/pmap_clnt.h
/usr/include/gssrpc/pmap_prot.h
/usr/include/gssrpc/pmap_rmt.h
/usr/include/gssrpc/rename.h
/usr/include/gssrpc/rpc.h
/usr/include/gssrpc/rpc_msg.h
/usr/include/gssrpc/svc.h
/usr/include/gssrpc/svc_auth.h
/usr/include/gssrpc/types.h
/usr/include/gssrpc/xdr.h
/usr/include/kadm5/admin.h
/usr/include/kadm5/chpass_util_strings.h
/usr/include/kadm5/kadm_err.h
/usr/include/krb5/ccselect_plugin.h
/usr/include/krb5/certauth_plugin.h
/usr/include/krb5/clpreauth_plugin.h
/usr/include/krb5/hostrealm_plugin.h
/usr/include/krb5/kadm5_hook_plugin.h
/usr/include/krb5/kdcpolicy_plugin.h
/usr/include/krb5/kdcpreauth_plugin.h
/usr/include/krb5/krb5.h
/usr/include/krb5/localauth_plugin.h
/usr/include/krb5/locate_plugin.h
/usr/include/krb5/plugin.h
/usr/include/krb5/preauth_plugin.h
/usr/include/krb5/pwqual_plugin.h
/usr/lib64/libgssapi_krb5.so
/usr/lib64/libgssrpc.so
/usr/lib64/libk5crypto.so
/usr/lib64/libkdb5.so
/usr/lib64/libkrad.so
/usr/lib64/libkrb5.so
/usr/lib64/libkrb5support.so
/usr/lib64/pkgconfig/gssrpc.pc
/usr/lib64/pkgconfig/kadm-client.pc
/usr/lib64/pkgconfig/kadm-server.pc
/usr/lib64/pkgconfig/kdb.pc
/usr/lib64/pkgconfig/krb5-gssapi.pc
/usr/lib64/pkgconfig/krb5.pc
/usr/lib64/pkgconfig/mit-krb5-gssapi.pc
/usr/lib64/pkgconfig/mit-krb5.pc
/usr/sbin/gss-server
/usr/sbin/sim_server
/usr/sbin/uuserver
/usr/share/man/man1/krb5-config.1.gz

Changelog

2018-08-01 - Robbie Harwood <rharwood@redhat.com> - 1.15.1-34
- In FIPS mode, add plaintext fallback for RC4 usages and taint
- Resolves: #1570600
2018-07-10 - Robbie Harwood <rharwood@redhat.com> - 1.15.1-33
- Use SHA-256 instead of MD5 for audit ticket IDs
- Resolves: #1570600
2018-06-11 - Robbie Harwood <rharwood@redhat.com> - 1.15.1-32
- Include preauth name in trace output if possible
- Update cert generation scripts to work on modern openssl
- Fix per-request preauth scoping
- Add test case for PKINIT DH renegotiation
- Echo KDC cookies in preauth tryagain
- Fall back to other preauth mechanisms after failures
- Resolves: #1540130
2018-06-08 - Robbie Harwood <rharwood@redhat.com> - 1.15.1-31
- Add German translation
- Resolves: #1497301
2018-06-08 - Robbie Harwood <rharwood@redhat.com> - 1.15.1-30
- Add default pkinit_anchors value to krb5.conf
- Resolves: #1508081
2018-06-07 - Robbie Harwood <rharwood@redhat.com> - 1.15.1-29
- Process profile includedir in sorted order
- Also, ignore dotfiles in included directories
- Resolves: #1539824
2018-06-07 - Robbie Harwood <rharwood@redhat.com> - 1.15.1-28
- Exit with status 0 from kadmind
- Resolves: #1373909
2018-06-07 - Robbie Harwood <rharwood@redhat.com> - 1.15.1-27
- Continue after KRB5_CC_END in KCM cache iteration
- Resolves: #1563166
2018-06-07 - Robbie Harwood <rharwood@redhat.com> - 1.15.1-26
- Merge duplicate subsections in profile library
- Resolves: #1519625
2018-06-07 - Robbie Harwood <rharwood@redhat.com> - 1.15.1-25
- Fix service dependencies on network state
- Resolves: #1525232

See Also

Package Description
krb5-libs-1.15.1-34.el7.i686.rpm The non-admin shared libraries used by Kerberos 5
krb5-libs-1.15.1-34.el7.x86_64.rpm The non-admin shared libraries used by Kerberos 5
krb5-pkinit-1.15.1-34.el7.x86_64.rpm The PKINIT module for Kerberos 5
krb5-server-1.15.1-34.el7.x86_64.rpm The KDC and related programs for Kerberos 5
krb5-server-ldap-1.15.1-34.el7.x86_64.rpm The LDAP storage plugin for the Kerberos 5 KDC
krb5-workstation-1.15.1-34.el7.x86_64.rpm Kerberos 5 programs for use on workstations
kross-interpreters-4.10.5-8.el7.x86_64.rpm Kross interpreters
kross-python-4.10.5-8.el7.x86_64.rpm Kross plugin for python
kross-ruby-4.10.5-8.el7.x86_64.rpm Kross plugin for ruby
kruler-4.10.5-3.el7.x86_64.rpm A screen ruler and color measurement tool
ksaneplugin-4.10.5-3.el7.x86_64.rpm KDE sane service
ksc-0.9.22-1.el7.noarch.rpm Kernel source code checker
kscreen-1.0.1-9.el7.x86_64.rpm KDE Display Management software
ksh-20120801-139.el7.x86_64.rpm The Original ATT Korn Shell
ksnapshot-4.10.5-3.el7.x86_64.rpm A screen capture utility
Advertisement
Advertisement